# 🎁 Auto Giveaways

## Overview

To participate in giveaways in clubs where the giveaway is active, simply hold the minimum number of keys, and you'll be automatically entered.

The system will select an eligible user to receive the club prize, and an automatic transfer will be performed.

Each giveaway is tied to a specific level, and the user must be eligible to participate.\
The number of keys you hold increases your chances of winning, with a proportional and fair weight assigned based on the number of keys.

**Available user commands:**

Type `!ga` show available giveaways with time remaining.\
Type `!lastga` show the last 10 GA winners.\
Type `!otherga` show other giveaways in other clubs.\
Type `!topga` show the top10 GA winners.

If you're interested in adding and managing giveaways as well, check the [requirements](#requirements).

***

## Requirements:

1. The telegram and friendtech account.
2. To activate your premium license and enable auto-transfers via the walletbot, you will need a [Fred V1 Key](https://www.friend.tech/0x1ef17ce5ce0e4ea09bcfbeea435e585bb19e0e78)
3. To add Fred Bot and start managing giveaways in your clubs, you must meet the [minimum level](/overview/friendtech.md#default-level-details) requirements in the [AutoGa Club Network](https://www.friend.tech/clubs/235305)

Giveaways Limits per User:

* 🥇 Gold ->  can add up to **1 Giveaway**
* 💍 Platinum -> can add up to **3 Giveaways**
* 💎 Diamond -> can add up to **5 Giveaways**
* 🌟 Exclusive -> can add up to **10 Giveaways**

**From the Diamond level,** you can add [**Roulette**](/overview/friendtech/roulette.md) + [**Spins**](/overview/friendtech/spins.md).

***

## Manage your AutoGA:

To start managing your giveaways, type the commands in your Club!\
You can also type `!premium` to get help from Fred.

<pre class="language-python"><code class="lang-python"><strong>!addga &#x3C;club_id_prize> &#x3C;interval_in_minutes> &#x3C;min_keys>
</strong>!removega &#x3C;club_id_prize> 
</code></pre>

* club\_id\_prize -> is the club number you want to add as a prize (e.g. 235305)
* interval\_in\_minutes -> the interval of each giveaway in minutes.
* min\_keys -> minimum number of keys eligible to participate in the giveaway.

Example: 👇

<pre><code><strong>!addga 235305 1440 10
</strong></code></pre>

This command will add a giveaway prize from club 235305 every 24 hours for 🥇 gold level users.

***

## **How to Set Up and Start:**

If you already meet the requirements, \
[click here](https://docs.alertfriend.com/overview/friendtech/start-setting-up) to follow the guide on how to set up your Telegram account with Friendtech.

{% hint style="info" %}
Giveaways can be activated in the clubs where you are the president.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alertfriend.com/overview/friendtech/auto-giveaways.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
